plugins {
    `java-library`
}

group = "eu.jonahbauer"
version = "1.0-SNAPSHOT"
description = "json"

java {
    toolchain {
        languageVersion = JavaLanguageVersion.of(22)
    }
}

dependencies {
    api(libs.annotations)

    compileOnly(libs.lombok)
    annotationProcessor(libs.lombok)
}

tasks {
    withType<JavaCompile> {
        options.encoding = "UTF-8"
        options.compilerArgs.add("--enable-preview")
    }
}